Package org.talend.transform.camel

# Class TdmException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.talend.transform.camel.TdmException

All Implemented Interfaces:
  `Serializable`

public class TdmException extends RuntimeException
Indicates something went wrong in executing or setting up an TDM map.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.talend.transform.runtime.common.MapExecutionStatus`
`_executionStatus`

## Method Summary

Modifier and Type
Method
Description
`org.talend.transform.runtime.common.MapExecutionStatus`
`getExecutionStatus()`
Return the `MapExecutionStatus` associated with this exception, if any.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### _executionStatus

protected org.talend.transform.runtime.common.MapExecutionStatus _executionStatus

## Method Details

### getExecutionStatus

public org.talend.transform.runtime.common.MapExecutionStatus getExecutionStatus()
Return the `MapExecutionStatus` associated with this exception, if any.

Returns:
  an ExecutionStatus, null if not present.